Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Variables
empty.hpp File Reference

## Classes
struct | ranges::empty_view< T >

## Typedefs
template<typename T >
using | ranges::cpp20::empty_view = ranges::empty_view< T >

## Variables
template<typename T >
constexpr empty_view< T > | ranges::views::empty {}
template<typename T >
constexpr bool | ranges::enable_borrowed_range< empty_view< T > > = true

## Typedef Documentation

## ◆ empty_view

template<typename T >

using ranges::cpp20::empty_view = typedef ranges::empty_view<T>

Precondition
  requires `std::is_object<T>::value` //